## gate.gui
Class DocumentEditor.CustomLabelView

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.GlyphView
                  |
                  +--javax.swing.text.LabelView
                        |
                        +--gate.gui.DocumentEditor.CustomLabelView

All Implemented Interfaces:
  Cloneable, SwingConstants, TabableView

Enclosing class:
  DocumentEditor

public class DocumentEditor.CustomLabelView
extends LabelView

Fixes the 4406598 bug in swing text components. The bug consists in the fact that the Background attribute is ignored by the text component whent it is defined in a style from which the current style inherits.

Inner classes inherited from class javax.swing.text.GlyphView
`GlyphView.GlyphPainter`

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`DocumentEditor.CustomLabelView(Element elem)`

Method Summary
`Color` `getBackground()`

Methods inherited from class javax.swing.text.LabelView
`changedUpdate, getFont, getForeground, isStrikeThrough, isSubscript, isSuperscript, isUnderline`

Methods inherited from class javax.swing.text.GlyphView
`breakView, createFragment, getAlignment, getBreakWeight, getEndOffset, getGlyphPainter, getNextVisualPositionFrom, getPartialSpan, getPreferredSpan, getStartOffset, getTabbedSpan, getTabExpander, getText, insertUpdate, modelToView, paint, removeUpdate, setGlyphPainter, viewToModel`

Methods inherited from class javax.swing.text.View
`append, getAttributes, getChildAllocation, getContainer, getDocument, getElement, getGraphics, getMaximumSpan, getMinimumSpan, getParent, getResizeWeight, getView, getViewCount, getViewFactory, getViewIndex, insert, isVisible, modelToView, modelToView, preferenceChanged, remove, removeAll, replace, setParent, setSize, viewToModel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.text.TabableView
`getPartialSpan, getTabbedSpan`

Constructor Detail

### DocumentEditor.CustomLabelView

    public DocumentEditor.CustomLabelView(Element elem)

Method Detail

### getBackground

    public Color getBackground()

  Overrides:
    `getBackground` in class `LabelView`